### Hierarchy

- Effects

## Index

### Constructors

- constructor

### Properties

- effects

### Methods

- effectToString
- isActive
- start
- stop

## Constructors

### constructor

- new Effects(): Effects

- #### Returns Effects

## Properties

### Static Private Readonly effects

effects: string[] = ...

- Defined in ui/Effects.ts:20

## Methods

### Static Private effectToString

- effectToString(screenEffect: ScreenEffect): string

- - Defined in ui/Effects.ts:104

  #### Parameters

  - ##### screenEffect: ScreenEffect

  #### Returns string

### Static isActive

- isActive(screenEffect: ScreenEffect): boolean

- - Defined in ui/Effects.ts:16

  #### Parameters

  - ##### screenEffect: ScreenEffect

  #### Returns boolean

### Static start

- start(effectName: ScreenEffect, duration?: number, looped?: boolean): void

- - Defined in ui/Effects.ts:4

  #### Parameters

  - ##### effectName: ScreenEffect

  - ##### duration: number = 0

  - ##### looped: boolean = false

  #### Returns void

### Static stop

- stop(screenEffect?: ScreenEffect): void

- - Defined in ui/Effects.ts:8

  #### Parameters

  - ##### Optional screenEffect: ScreenEffect

  #### Returns void

Generated using TypeDoc